Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Nicht alle Blöcke selektiert mit ssget

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Nicht alle Blöcke selektiert mit ssget (929 mal gelesen)
ebla
Mitglied
Projektleiter, Admin


Sehen Sie sich das Profil von ebla an!   Senden Sie eine Private Message an ebla  Schreiben Sie einen Gästebucheintrag für ebla

Beiträge: 37
Registriert: 16.01.2012

Win7/64, ACAD2012/64

erstellt am: 25. Jan. 2012 13:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

habe folgenden Code:
(defun C:kaputt ( / )

(if(/= (ssget "X" (list (cons 0 "insert")(cons 2 "Alle *"))) nil)
(command "_erase" (ssget "X" (list (cons 0 "insert")(cons 2 "Alle *"))) "")
(princ)
)
)
und habe in der Zeichnung 2 Blöcke die dem entsprechen, gefunden wird aber nur einer. Auch ein zweiter Durchlauf, nachdem der erste Block gelöscht worden ist, bringt nichts zu Tage.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 25. Jan. 2012 13:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ebla 10 Unities + Antwort hilfreich

(/= (ssget "X" (list (cons 0 "insert")(cons 2 "Alle *"))) nil)

ist übrigen auch hiermit auszudrücken:

    (ssget "X" (list (cons 0 "insert")(cons 2 "Alle *")))

denn alles was nicht nil ist, ist true

Zu deinem Problem: Bist du dir sicher das die Blockreferenzen den Namen tragen ?
teste mit: (alert(cdr(assoc 2 (entget(car(entsel))))))

PS: Leerzeichen sind kuhl    !!

------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ebla
Mitglied
Projektleiter, Admin


Sehen Sie sich das Profil von ebla an!   Senden Sie eine Private Message an ebla  Schreiben Sie einen Gästebucheintrag für ebla

Beiträge: 37
Registriert: 16.01.2012

Win7/64, ACAD2012/64

erstellt am: 25. Jan. 2012 14:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo cadffm,

bei dem Test bekomme ich nur
Fehlerhafter Argumenttyp: lentityp nil

oder habe ich was falsch verstanden?
Bin ja nicht so der LISP-Versteher.

Gruß
Ernst

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 25. Jan. 2012 14:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ebla 10 Unities + Antwort hilfreich

Ach so ist ist, sorry - ich habe leider wenig Zeit - kann dir nur sagen das du wohl
was falsch machst beim Testen den die Zeile(n) sollten imho in sich stimmig sein.

------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ebla
Mitglied
Projektleiter, Admin


Sehen Sie sich das Profil von ebla an!   Senden Sie eine Private Message an ebla  Schreiben Sie einen Gästebucheintrag für ebla

Beiträge: 37
Registriert: 16.01.2012

Win7/64, ACAD2012/64

erstellt am: 26. Jan. 2012 00:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo cadffm,

jetzt habe ich es geschafft, die Objekte mit Deinem Code mir Anzeigen zu lassen.
Wenn ich z.B. Blöcke auswähle, heissen diese "Winkelpunkt" (im Eigenschaftsfenster). Auch wenn ich mit der Schnellauswahl Blockreferenzen mit dem Namen "Winkelpunkt" selektiere, findet diese in der Zeichnung 55 Blöcke, mit ssget nur 12.
Wenn ich mir mit Deinem Code die Blöcke anzeigen lasse, haben einige gar nicht den Namen Winkelpunkt, sondern *Uxxx.
Wie kommt denn sowas zustande?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 26. Jan. 2012 01:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ebla 10 Unities + Antwort hilfreich

... Das sind dynamische Blöcke, die nicht mehr in der Ursprungsversion existieren. Soll heißen: eine dynamische Eigenschaft wurde geändert.

Bei Fragen ...

Grüße!
Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.


defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ebla
Mitglied
Projektleiter, Admin


Sehen Sie sich das Profil von ebla an!   Senden Sie eine Private Message an ebla  Schreiben Sie einen Gästebucheintrag für ebla

Beiträge: 37
Registriert: 16.01.2012

Win7/64, ACAD2012/64

erstellt am: 26. Jan. 2012 02:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Holger,

wie kriege ich diese trotzdem?

Gruß
Ernst

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 26. Jan. 2012 04:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ebla 10 Unities + Antwort hilfreich

... dazu ein Hinweis: Die Blockreferenzen haben als VL-Objekt die Eigenschaft EffectiveName. Das ist der ursprüngliche Name.

Grüße!
Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.


defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz